ObjectARX

Reply
Contributor
Lachoserouge
Posts: 12
Registered: ‎04-12-2011
Message 1 of 3 (236 Views)

Set a New UCS

236 Views, 2 Replies
07-13-2011 01:24 PM

Hi reader,

 

I would like to draw a polyline with Buge in 3D.

I know that i have to use a LWpolyline to do that.

 

So to draw a LWpolyline in 3D I have to change my UCS, i think.

The fact is that I do not succed to do that.

 

I found the SetUcs function from AcDbViewport but i have no idea about how to set it actived to enable me to draw in this new coordinates system.

 

Hope you could help me.

 

Regards,

 

Aymeric

Board Manager
StephenPreston
Posts: 373
Registered: ‎05-22-2006
Message 2 of 3 (227 Views)

Re: Set a New UCS

07-15-2011 07:49 AM in reply to: Lachoserouge

You shouldn't have to create a new UCS. You can create your polyline in the WCS (e.g. in the xy plane) and then call its transformBy function, passing in your transformation matrix to transform it to the coordinate system you need (the coordinate system you wanted to create the UCS for).

 

Cheers,

 

Stephen Preston

Autodesk Developer Network

Cheers,

Stephen Preston
Autodesk Developer Network
Contributor
Lachoserouge
Posts: 12
Registered: ‎04-12-2011
Message 3 of 3 (206 Views)

Re: Set a New UCS

07-26-2011 11:26 AM in reply to: StephenPreston

Hi,

 

Thank you for this help I gonna try as you said, I will come back to you.

 

Cheers

 

Aymeric

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.